> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datacrazy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar etapas da pipeline



## OpenAPI

````yaml https://api.datacrazy.io/v1/api/openapi/v1/json get /api/v1/pipelines/{id}/stages
openapi: 3.0.0
info:
  title: API CRM Datacrazy
  description: Versão 1.0 da API do CRM Datacrazy
  version: '1.0'
  contact: {}
servers:
  - url: https://api.g1.datacrazy.io
security: []
tags: []
paths:
  /api/v1/pipelines/{id}/stages:
    get:
      tags:
        - Pipelines
      summary: Buscar etapas da pipeline
      operationId: PipelinesV1Controller_getStages
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/StageSummaryDto'
      security:
        - access-token: []
components:
  schemas:
    PaginatedResponseDto:
      type: object
      properties:
        count:
          type: number
          example: 100
      required:
        - count
    StageSummaryDto:
      type: object
      properties:
        id:
          type: string
          example: 79db349b-324c-47d9-a276-056fa8b6bd28
          description: ID da etapa.
        createdAt:
          format: date-time
          type: string
          example: '2025-09-09T16:25:20.446Z'
          description: Data de criação da etapa.
        name:
          type: string
          example: Revenda
          description: Nome da etapa.
        color:
          type: string
          example: '#FB7185'
          description: Cor associada a etapa (hexadecimal).
        index:
          type: number
          example: 0
          description: Índice (posição) da etapa dentro da pipeline.
        activitiesCount:
          type: number
          example: 0
          description: Número de atividades vinculadas a etapa.
  securitySchemes:
    access-token:
      scheme: bearer
      bearerFormat: JWT
      type: http

````